Priority: Normal Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Version 3.2.0.24-gcov
La fonction watchdog_stop() du fichier fsw_misc.c n est jamais atteinte en utilisant la version du soft de GCOV.
Un test a été effectué a la main pour forcer le watcdog a se déclencher (ecrire du 0 dans le register correspondant ).

GPTIMER_BASE_ADDR=0x80000300

WATCHDOG_TIMER_OFFSET=0x20

def trigger_watchdog():
SpwPlugin0.Write(GPTIMER_BASE_ADDR+WATCHDOG_TIMER_OFFSET,[3])

trigger_watchdog()

--> LFR s'arrete

Les 3 requirements liés au watchdog sont

SSS-CP-FS-520 (REQ-LFR-SRS-5230) Test couvert par SVS-0057
SSS-CP-FS-530 (REQ-LFR-SRS-5231) Inspection
SSS-CP-FS-540 (REQ-LFR-SRS-5232) Inspection

Concernant le SSS-CP-FS-530, la couverture GCOV montre que la fonction watchdog_reload() (fichier fsw_misc.c) est appelée un
tres grand nombre de fois. La fonction watchdog_stop () n a pas été atteinte durant la campagne de validation le version 3.2.0.24.

Concernant le SSS-CP-FS-540, un script manuel ecrit 0 dans le watchdog counter . LFR s'arrete.

Ce requirement est donc vérifié en inspection et en test.

L'utilisation de la fonction watchdog_stop() ne peut etre verifiée dans la version GCOV ( exit(0) et donc pas possible d envoyer
TC_LFR_RESET).

Il faut donc mettre a jour la matrice de compliance et la SVS ( SVS-0058 et test_watchdog.py).

History

#1 - 16/11/2018 03:45 PM - Veronique bouzid
- Description updated

- Status changed from New to In Progress

#2 - 13/12/2018 07:50 AM - Veronique bouzid

Ma matrice de compliance a été mise a jour:
Le SSS-CP-FS-540 est validé par Test et Inspection. Le nom du script est test_watchdog.py

La SVS a été mise a jour:
Création de SVS-0058 et utilisation du script test_watchdog.py.

--> Bruno doit verifier le SUM et eventuellement le Verification Report.

#3 - 17/12/2018 02:01 PM - bruno katra

- Status changed from In Progress to Closed

Le SUM était a jour.
SVerR 2.5 mis a jour
